#pragma once

#include "3d/data_set.h"

struct Tile;

class DataSetTiled : public DataSet
{
public:
    DataSetTiled(const SEAScope::RenderableId& rId);
    ~DataSetTiled() override;

    bool compute(int maxTextureSize) override;
    void generateGPUData(OGL::Context* ctx) override;
    void draw(OGL::Context* ctx, const glm::mat4& mvp) override;
    void drawPicking(OGL::Context* ctx, const glm::mat4& mvp) override;

    void setFilterMode(OGL::FilterMode filterMode) override;

private:
    std::vector<Tile*> _tiles;
};
