#ifndef GRANULE_INFO_H
#define GRANULE_INFO_H

#include "core/structs.h"
#include "core/granule_metadata.h"

namespace SEAScope
{
    class GranuleInfo
    {
        public:
            void setMetadata(GranuleMetadata&& meta)
            {
                metadata = std::forward<GranuleMetadata>(meta);
                hasMetadata = true;
            }

            void resetMetadata()
            {
                hasMetadata = false;
            }

            CollectionCfg collection;
            VariableCfg variable;
            EventsCoverage coverage;
            GranuleMetadata metadata;
            std::string uri;
            float area;
            float perimeter;
            float lon;
            float lat;
            bool hasMetadata = false;
    };
}

#endif
